Setup Bitnami Elastic Search on azure with 6.x version instead of 7.x

Keywords: General - Microsoft Azure - How to - Application configuration

Description:
Hi Team,
I want to setup bitnami Elastic search cluster on azure with older version (6.x) instead of latest version. I tried manually on azure portal but it is taking latest version of Bitnami Elastic search cluster which is 7.x
please help me for this issue.

Thanks…

Hello @c-mshah1,

Unfortunately, we only can offer one version for our Multi-tier solution on Azure, so it is not possible to launch a cluster with version 6.x.

Regards

@davidg I just want 6.x version only. so is it possible?

Hello @c-mshah1,

We can provide you with the last installer for version 6, so you can install it on you server:
https://downloads.bitnami.com/files/stacks/elasticsearch/6.7.1-1/bitnami-elasticsearch-6.7.1-1-linux-x64-installer.run

Alternatively, we offer VMs for both version 6 and 7.
https://bitnami.com/stack/elasticsearch/virtual-machine

Regards

Hi @davidg

I want 6.2.2 version for that.
When ES installers is going to deprecate?
and provide me further steps to deploy on azure

Thanks…

Hi @c-mshah1,

We have removed support from most Linux installers. You can find more info in the link below:
https://blog.bitnami.com/2021/04/amplifying-our-focus-on-cloud-native.html

Find the link below:
https://downloads.bitnami.com/files/stacks/elasticsearch/6.2.2-0/bitnami-elasticsearch-6.2.2-0-linux-x64-installer.run

Launch a new Azure instance. In case you are using a bitnami instance, you should stop services:

sudo /opt/bitnami/ctlscript.sh stop 
sudo mv /opt/bitnami /opt/bitnami.bck

Then download and install ES 6.2.2

cd /tmp
wget https://downloads.bitnami.com/files/stacks/elasticsearch/6.2.2-0/bitnami-elasticsearch-6.2.2-0-linux-x64-installer.run
chmod +x bitnami-elasticsearch-6.2.2-0-linux-x64-installer.run 

sudo ./bitnami-elasticsearch-6.2.2-0-linux-x64-installer.run  --prefix /opt/bitnami

Regards

@davidg Can I launch directly 6.2.2 instead of going first for 7.X and after stopping it and then running 6.2.2.

Hi @c-mshah1,

Unfortunately, we only can offer one version for our solution on Azure, so it is not possible to launch it with version 6.x. since we already offer version 7.x

Regards

I just wanna launch 6.2.2 version only

@davidg I tried with azure Instance and facing Installation issue as shown below Image :

Please provide support for the same.

Hello @c-mshah1,

It is usually due to memory, please launch an instance with 4GB or more. I have used STANDARD_D1_V2 machine without issues.

Regards

@davidg I Installed it successfully and I did it for 2 Node clusters but showing only one node cluster.
Can you please check attached image and help me for the same?

Hello @c-mshah1,

The installation of Elasticearch 6.x was completed successfully, and this is a different issue. In order to avoid mixing topics, please open a new ticket as technical issue to check it with the team.

Regards